Create Order
curl --request POST \
--url https://api.glass.fm/v2/action/glasscore/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderItem": [
{
"PersonId": 123,
"ProductId": 123,
"ApplyTo~OrgId": 123,
"bkgd_courtRecordState": "<string>",
"customTwilio": "<string>",
"descrip": "<string>",
"dna_alternateSpecimenRelationship": "<string>",
"dna_numberAppointment": 123,
"dna_numberPartiesTested": 123,
"hsBackground": [
{
"degreeAttained": "<string>",
"descrip": "<string>",
"OrderItemId": 123,
"priorEmployerCity": "<string>",
"priorEmployerJobTitle": "<string>",
"priorEmployerMonthEnd": "<string>",
"priorEmployerMonthStart": "<string>",
"priorEmployerName": "<string>",
"priorEmployerReasonTerm": "<string>",
"priorEmployerState": "<string>",
"priorEmployerYearEnd": "<string>",
"priorEmployerYearStart": "<string>",
"professionalLicenseNumber": "<string>",
"professionalLicenseState": "<string>",
"professionalLicenseType": "<string>",
"referenceEmail": "<string>",
"referenceName": "<string>",
"referencePhone": "<string>",
"referenceRelationship": "<string>",
"schoolAttended": "<string>",
"schoolCity": "<string>",
"schoolMajor": "<string>",
"schoolMonthEnd": "<string>",
"schoolMonthStart": "<string>",
"schoolState": "<string>",
"schoolYearEnd": "<string>",
"schoolYearStart": "<string>",
"workersCompState": "<string>"
}
],
"hsDna": [
{
"acknowledgeNyReg": true,
"acknowledgePrenatalLabFee": true,
"alternateSpecimenType": "<string>",
"auntUncleInfo": "<string>",
"childInfo": "<string>",
"descrip": "<string>",
"DnaStudyId1": 123,
"DnaStudyId2": 123,
"DnaStudyId3": 123,
"fatherInfo": "<string>",
"grandparentInfo": "<string>",
"immigrationCountry": "<string>",
"labAccount": "<string>",
"motherInfo": "<string>",
"OrderItemId": 123,
"otherPartyInfo": "<string>",
"preferredApptDate": "<string>",
"sibling1Info": "<string>",
"sibling2Info": "<string>"
}
],
"hsDrug": [
{
"bkgd_courtRecordState": "<string>",
"dna_alternateSpecimenRelationship": "<string>",
"dna_numberAppointment": 123,
"dna_numberPartiesTested": 123,
"isBodyHair": true,
"isObserved": true,
"isQuantitative": true,
"OrderItemId": 123,
"passportNotes": "<string>",
"randomPoolType": "<string>"
}
],
"hsVendorId": 123,
"isBodyHair": true,
"isObserved": true,
"isQuantitative": true,
"MarketplaceLocationId": 123,
"ModalityId": 123,
"notesExternal": "<string>",
"quantity": 123,
"ReasonId": 123
}
],
"PaymentId": 123,
"PersonId": 123
}
'import requests
url = "https://api.glass.fm/v2/action/glasscore/order"
payload = {
"orderItem": [
{
"PersonId": 123,
"ProductId": 123,
"ApplyTo~OrgId": 123,
"bkgd_courtRecordState": "<string>",
"customTwilio": "<string>",
"descrip": "<string>",
"dna_alternateSpecimenRelationship": "<string>",
"dna_numberAppointment": 123,
"dna_numberPartiesTested": 123,
"hsBackground": [
{
"degreeAttained": "<string>",
"descrip": "<string>",
"OrderItemId": 123,
"priorEmployerCity": "<string>",
"priorEmployerJobTitle": "<string>",
"priorEmployerMonthEnd": "<string>",
"priorEmployerMonthStart": "<string>",
"priorEmployerName": "<string>",
"priorEmployerReasonTerm": "<string>",
"priorEmployerState": "<string>",
"priorEmployerYearEnd": "<string>",
"priorEmployerYearStart": "<string>",
"professionalLicenseNumber": "<string>",
"professionalLicenseState": "<string>",
"professionalLicenseType": "<string>",
"referenceEmail": "<string>",
"referenceName": "<string>",
"referencePhone": "<string>",
"referenceRelationship": "<string>",
"schoolAttended": "<string>",
"schoolCity": "<string>",
"schoolMajor": "<string>",
"schoolMonthEnd": "<string>",
"schoolMonthStart": "<string>",
"schoolState": "<string>",
"schoolYearEnd": "<string>",
"schoolYearStart": "<string>",
"workersCompState": "<string>"
}
],
"hsDna": [
{
"acknowledgeNyReg": True,
"acknowledgePrenatalLabFee": True,
"alternateSpecimenType": "<string>",
"auntUncleInfo": "<string>",
"childInfo": "<string>",
"descrip": "<string>",
"DnaStudyId1": 123,
"DnaStudyId2": 123,
"DnaStudyId3": 123,
"fatherInfo": "<string>",
"grandparentInfo": "<string>",
"immigrationCountry": "<string>",
"labAccount": "<string>",
"motherInfo": "<string>",
"OrderItemId": 123,
"otherPartyInfo": "<string>",
"preferredApptDate": "<string>",
"sibling1Info": "<string>",
"sibling2Info": "<string>"
}
],
"hsDrug": [
{
"bkgd_courtRecordState": "<string>",
"dna_alternateSpecimenRelationship": "<string>",
"dna_numberAppointment": 123,
"dna_numberPartiesTested": 123,
"isBodyHair": True,
"isObserved": True,
"isQuantitative": True,
"OrderItemId": 123,
"passportNotes": "<string>",
"randomPoolType": "<string>"
}
],
"hsVendorId": 123,
"isBodyHair": True,
"isObserved": True,
"isQuantitative": True,
"MarketplaceLocationId": 123,
"ModalityId": 123,
"notesExternal": "<string>",
"quantity": 123,
"ReasonId": 123
}
],
"PaymentId": 123,
"PersonId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderItem: [
{
PersonId: 123,
ProductId: 123,
'ApplyTo~OrgId': 123,
bkgd_courtRecordState: '<string>',
customTwilio: '<string>',
descrip: '<string>',
dna_alternateSpecimenRelationship: '<string>',
dna_numberAppointment: 123,
dna_numberPartiesTested: 123,
hsBackground: [
{
degreeAttained: '<string>',
descrip: '<string>',
OrderItemId: 123,
priorEmployerCity: '<string>',
priorEmployerJobTitle: '<string>',
priorEmployerMonthEnd: '<string>',
priorEmployerMonthStart: '<string>',
priorEmployerName: '<string>',
priorEmployerReasonTerm: '<string>',
priorEmployerState: '<string>',
priorEmployerYearEnd: '<string>',
priorEmployerYearStart: '<string>',
professionalLicenseNumber: '<string>',
professionalLicenseState: '<string>',
professionalLicenseType: '<string>',
referenceEmail: '<string>',
referenceName: '<string>',
referencePhone: '<string>',
referenceRelationship: '<string>',
schoolAttended: '<string>',
schoolCity: '<string>',
schoolMajor: '<string>',
schoolMonthEnd: '<string>',
schoolMonthStart: '<string>',
schoolState: '<string>',
schoolYearEnd: '<string>',
schoolYearStart: '<string>',
workersCompState: '<string>'
}
],
hsDna: [
{
acknowledgeNyReg: true,
acknowledgePrenatalLabFee: true,
alternateSpecimenType: '<string>',
auntUncleInfo: '<string>',
childInfo: '<string>',
descrip: '<string>',
DnaStudyId1: 123,
DnaStudyId2: 123,
DnaStudyId3: 123,
fatherInfo: '<string>',
grandparentInfo: '<string>',
immigrationCountry: '<string>',
labAccount: '<string>',
motherInfo: '<string>',
OrderItemId: 123,
otherPartyInfo: '<string>',
preferredApptDate: '<string>',
sibling1Info: '<string>',
sibling2Info: '<string>'
}
],
hsDrug: [
{
bkgd_courtRecordState: '<string>',
dna_alternateSpecimenRelationship: '<string>',
dna_numberAppointment: 123,
dna_numberPartiesTested: 123,
isBodyHair: true,
isObserved: true,
isQuantitative: true,
OrderItemId: 123,
passportNotes: '<string>',
randomPoolType: '<string>'
}
],
hsVendorId: 123,
isBodyHair: true,
isObserved: true,
isQuantitative: true,
MarketplaceLocationId: 123,
ModalityId: 123,
notesExternal: '<string>',
quantity: 123,
ReasonId: 123
}
],
PaymentId: 123,
PersonId: 123
})
};
fetch('https://api.glass.fm/v2/action/glasscore/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Order
Create Order
Create a new Order
POST
/
v2
/
action
/
glasscore
/
order
Create Order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Order
⌘I

